# $Revision: 1.26 $, $Date: 2011/03/01 06:28:40 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Portscan
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - portscanner utilities
Summary(pl.UTF-8):	%{_pearname} - narzędzia skanujące porty
Name:		php-pear-%{_pearname}
Version:	1.0.3
Release:	2
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e7a7eeb5c12fe70eef674ee927ba1208
URL:		http://pear.php.net/package/Net_Portscan/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-Net_Portscan-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Net_Portscan package allows one to perform basic portscanning
functions with PHP. It supports checking an individual port or
checking a whole range of ports on a machine.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet Net_Portscan pozwala na podstawowe skany portów przy użyciu
PHP. Umożliwia sprawdzanie pojedynczych portów, jak i całych zakresów
portów na danej maszynie.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

install -d ./%{php_pear_dir}/tests/%{_pearname}
mv ./%{php_pear_dir}/{%{_class}/tests/*,tests/%{_pearname}}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Portscan.spec,v $
Revision 1.26  2011/03/01 06:28:40  glen
- release 2

Revision 1.25  2011/01/23 01:03:20  sparky
- dropped -tests subpackage

Revision 1.24  2010/01/04 15:19:33  adamg
- updated to 1.0.3

Revision 1.23  2008/01/31 12:17:05  glen
- rel 4

Revision 1.22  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.20  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.19  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.18  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.17  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.16  2005/10/27 19:07:14  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.15  2005/10/05 20:59:32  glen
- rel 3

Revision 1.14  2005/09/29 00:17:11  glen
- new pear packaging

Revision 1.13  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.12  2004/10/24 18:53:07  paladine
- spelling fixes, uppercases, etc.

Revision 1.11  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.10  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.9  2004/03/15 16:09:32  adamg
- added missing status information (it is stable)
- cosmetics

Revision 1.8  2003/10/07 20:55:42  adamg
- do not use macros in URL

Revision 1.7  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.6  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.5  2003/05/28 08:58:45  adamg
- massive attack: added source0-md5

Revision 1.4  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2002/10/14 23:49:28  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.2  2002/09/15 10:50:10  blues
- fix in macros

Revision 1.1  2002/07/17 13:50:59  blues
- initial release
